#!/bin/sh

# Check java command
if [ -n "$JAVA_HOME" ] ; then
    JAVA_CMD="$JAVA_HOME/bin/java"
    if [ ! -x "$JAVA_CMD" ] ; then
        echo "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME"
        exit 1
    fi
else
    JAVA_CMD="java"
    if [ ! "$(which java)" ] ; then
      echo "ERROR: java command could not be found in PATH"
      exit 2
    fi
fi

# Check java version
JAVA_VERSION="$($JAVA_CMD -XshowSettings:properties 2>&1 | grep 'java.specification.version')"
if echo "$JAVA_VERSION" | grep -Eqv "= (11|12|13|14|15)$" ; then
  echo "Unsupported java version: $JAVA_VERSION"
  exit 3
fi

JLINK_VM_OPTIONS=
DIR=`dirname $0`
$JAVA_CMD $JLINK_VM_OPTIONS \
--class-path $DIR:$DIR/drivers/*:$DIR/libs/*:$DIR/reverseRuntime/bin \
--module-path $DIR/reverseRuntime/libs \
--add-modules com.vertabelo.reverse.starter \
--module com.vertabelo.reverse.starter/com.vertabelo.reverse.starter.Main "$@"
